import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { LocationSelector } from '../models/location-selector/location-selector-model';
import { LocationSelectorInfo } from '../models/locationSelectorModel';
export declare class LocationSingleSelectorComponent implements OnInit {
    private elementRef;
    expandedKeys: any[];
    selectorOpened: boolean;
    disableSelector: boolean;
    selectedLocationName: string;
    selectedLocationId: number;
    labelText: string;
    hoverText: string;
    isIncludeFloatLocation: boolean;
    isDisableParentClick: boolean;
    page: string;
    hideBranchLess: boolean;
    selectableTypes: number[];
    selectorDisabled: boolean;
    onChange: EventEmitter<LocationSelectorInfo>;
    onLocationsData: EventEmitter<LocationSelector>;
    locationHierachy: LocationSelector;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    private makeSelectableByLocationType;
    private setDropDownState;
    onGlobalClick(event: Event): void;
    closeDropDown(): void;
    onItemSelected(data: LocationSelectorInfo): void;
    private addExpandListItem;
    locationClick(): void;
}
